$(function () {
    function ValidTemp() {
        var ModelName = $("#ModelName"),
                db_MaxSize = $("#db_MaxSize"),
                lg_MaxSize = $("#lg_MaxSize"),
                SQLFilePath = $("#SQLFilePath"),
                allFields = $([])
                .add(ModelName)
                .add(db_MaxSize)
                .add(lg_MaxSize)
                .add(SQLFilePath)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(ModelName, "模版名称", 3, 16);
        bValid = bValid && checkNumlength(db_MaxSize, "数据库容量", 0, 2147483647);
        bValid = bValid && checkNumlength(lg_MaxSize, "日志容量", 0, 2147483647);
        bValid = bValid && checkRegexp(SQLFilePath, RegEx_WindowsPath, "数据库存放路径不正确");
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});